net.dontdrinkandroot.visualization

## Class Utils

- java.lang.Object
- - net.dontdrinkandroot.visualization.Utils

    public class Utils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

Methods
`static <V,E> edu.uci.ics.jung.graph.Graph<V,E>` `getLargestComponent(edu.uci.ics.jung.graph.Graph<V,E> g)`
`static <V,E> Set<edu.uci.ics.jung.graph.Graph<V,E>>` `getSubGraphs(edu.uci.ics.jung.graph.Graph<V,E> g)`
`static Point2D` `intersectLineLine(double a1x, double a1y, double a2x, double a2y, double b1x, double b1y, double b2x, double b2y)`
`static Point2D` `intersectLineLine(Line2D l1, Line2D l2)`
`static Point2D` `intersectLineRectangle(Line2D l, Rectangle2D r)`
`static <V,E> edu.uci.ics.jung.graph.Graph<V,E>` `removeUnconnectedVertices(edu.uci.ics.jung.graph.Graph<V,E> g)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### intersectLineRectangle

    public static final Point2D intersectLineRectangle(Line2D l,
                                 Rectangle2D r)

#### intersectLineLine

    public static final Point2D intersectLineLine(Line2D l1,
                            Line2D l2)

#### intersectLineLine

    public static final Point2D intersectLineLine(double a1x,
                            double a1y,
                            double a2x,
                            double a2y,
                            double b1x,
                            double b1y,
                            double b2x,
                            double b2y)

#### getLargestComponent

    public static <V,E> edu.uci.ics.jung.graph.Graph<V,E> getLargestComponent(edu.uci.ics.jung.graph.Graph<V,E> g)

#### removeUnconnectedVertices

    public static <V,E> edu.uci.ics.jung.graph.Graph<V,E> removeUnconnectedVertices(edu.uci.ics.jung.graph.Graph<V,E> g)

#### getSubGraphs

    public static <V,E> Set<edu.uci.ics.jung.graph.Graph<V,E>> getSubGraphs(edu.uci.ics.jung.graph.Graph<V,E> g)